AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	-DUNITY_WEBAPPS_ENABLE_DEBUG \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/index-updater \
	-I$(top_srcdir)/src/context-daemon/util \
	 $(UNITY_WEBAPPS_COVERAGE_CFLAGS)

noinst_PROGRAMS = \
	test-apt-cache-parser \
	test-index-updater \
	mock-apt-cache

apt_cache_generator_sources = \
	apt-cache-generator.c \
	apt-cache-generator.h \
	apt-cache-generator-entry.c \
	apt-cache-generator-entry.h

test_index_updater_SOURCES = \
	test-ubuntu-webapps-update-index.c \
	$(top_srcdir)/src/unity-webapps-url-db.c \
	$(top_srcdir)/src/context-daemon/util/unity-webapps-dirs.c \
	$(top_srcdir)/src/context-daemon/unity-webapps-debug.c 

test_index_updater_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS)

mock_apt_cache_SOURCES = \
	mock-apt-cache.c \
	$(apt_cache_generator_sources)

mock_apt_cache_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS)

test_apt_cache_parser_SOURCES = \
	test-apt-cache-parser.c \
	$(apt_cache_generator_sources) \
	$(top_srcdir)/src/index-updater/apt-cache-parser.c \
	$(top_srcdir)/src/index-updater/webapp-info.c

test_apt_cache_parser_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS)

TESTS = $(noinst_PROGRAMS)

CLEANFILES = *.sqlite

